/*
 * Copyright © 2012 Tommy Hartmann <toha@zlug.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * Alternatively, you can redistribute and/or modify this program under the
 * same terms that the “gnome-shell” or “gnome-shell-extensions” software
 * packages are being distributed by The GNOME Project.
 *
 */
const St = imports.gi.St;
const Main = imports.ui.main;
const Layout = imports.ui.layout;
const MessageTray = imports.ui.messageTray;
const Tweener = imports.ui.tweener;

function init() {
	//do nothing...
}

function enable() {
	//set hot corners width to 0
    Main.panel._activitiesButton._hotCorner._corner.set_width(0);
	Main.messageTray._corner.set_width(0);
}

function disable() {
	//reset hot corners
    Main.panel._activitiesButton._hotCorner._corner.set_width(1);
	Main.messageTray._corner.set_width(1);
}
